GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
gdcm::VL Class Reference

Value Length. More...

`#include <gdcmVL.h>`

## Public Types

typedef uint32_t | Type

## Public Member Functions

| VL (uint32_t vl=0)
VL | GetLength () const
bool | IsOdd () const
| Return whether or not the VL is odd or not.
bool | IsUndefined () const
| operator uint32_t () const
VL & | operator++ ()
VL | operator++ (int)
VL & | operator+= (VL const &vl)
| += operator
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | Read16 (std::istream &is)
void | SetToUndefined ()
template<typename TSwap >
const std::ostream & | Write (std::ostream &os) const
template<typename TSwap >
const std::ostream & | Write16 (std::ostream &os) const

## Static Public Member Functions

static uint16_t | GetVL16Max ()
static uint32_t | GetVL32Max ()

## Friends

std::ostream & | operator<< (std::ostream &os, const VL &vl)

## Detailed Description

Value Length.

Warning
  this is a 4bytes value ! Do not try to use it for 2bytes value length

Examples:
  rle2img.cxx.

## Member Typedef Documentation

typedef uint32_t gdcm::VL::Type

## Constructor & Destructor Documentation

gdcm::VL::VL | ( | uint32_t | vl = `0` | ) |

inline

## Member Function Documentation

VL gdcm::VL::GetLength | ( |  | ) | const

inline

Referenced by gdcm::FileMetaInformation::GetFullLength(), gdcm::Fragment::GetLength(), and gdcm::Item::Write().

static uint16_t gdcm::VL::GetVL16Max | ( |  | ) |

inlinestatic

static uint32_t gdcm::VL::GetVL32Max | ( |  | ) |

inlinestatic

bool gdcm::VL::IsOdd | ( |  | ) | const

inline

Return whether or not the VL is odd or not.

Referenced by gdcm::ByteValue::SetLength().

bool gdcm::VL::IsUndefined | ( |  | ) | const

inline

Referenced by gdcm::ByteValue::SetLength().

gdcm::VL::operator uint32_t | ( |  | ) | const

inline

VL& gdcm::VL::operator++ | ( |  | ) |

inline

VL gdcm::VL::operator++ | ( | int |  | ) |

inline

VL& gdcm::VL::operator+= | ( | VL const & | vl | ) |

inline

+= operator

template<typename TSwap >

std::istream& gdcm::VL::Read | ( | std::istream & | is | ) |

inline

template<typename TSwap >

std::istream& gdcm::VL::Read16 | ( | std::istream & | is | ) |

inline

void gdcm::VL::SetToUndefined | ( |  | ) |

inline

template<typename TSwap >

const std::ostream& gdcm::VL::Write | ( | std::ostream & | os | ) | const

inline

Referenced by gdcm::Fragment::Write(), gdcm::SequenceOfFragments::Write(), gdcm::SequenceOfItems::Write(), and gdcm::Item::Write().

template<typename TSwap >

const std::ostream& gdcm::VL::Write16 | ( | std::ostream & | os | ) | const

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const VL & | vl
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmVL.h